// pages/collectPatent/collectPatent.js
const app = getApp()
const api = require('../../api/index')
import { $startWuxRefresher, $stopWuxRefresher,$stopWuxLoader,$wuxGallery} from '../../miniprogram_npm/wux-weapp/index'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgHttp:app.globalData.imghttp,
    loading:false,
    scrolltop: 20,
    tableData:[],
    queryParams:{
      size:10,
      current:1
    },
    total:0,
    id:null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData(
      {
        id:options.productId
      }
    )
    this.init()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },


  /**
   * 页面功能
   */
  //初始化加载
  init(){
    var params = {
      current:1,
      size:10
    }
    this.setData(
      {
        queryParams:params,
        total:0,
        tableData:[],
      }
    )
    this.selectCollectPatent()
  },
  //下拉
  onPulling() {
    console.log('onPulling')
  },
  //下拉刷新
  onRefresh() {
    console.log('onRefresh')
    this.init()
  },
   //查看图片
   previewImage(e) {
    console.log(e)
    var { current,imglist } = e.currentTarget.dataset
    var imgs = []
    for(var i =0;i<imglist.length;i++){
      imgs.push(this.data.imgHttp + imglist[i].guid)
    }
    current = this.data.imgHttp + current
    $wuxGallery().show({
      current,
      urls: imgs.map((n) => ({ image: n, remark: n })),
      indicatorDots: true,
      indicatorColor: '#fff',
      indicatorActiveColor: '#04BE02',
      showDelete:false
    })
    // wx.previewImage({
    //   current,
    //   urls:imgs,
    // })
  },
  //获取关注的产品
  selectCollectPatent(type){
    if(!this.data.id){
      return false
    }
    var params = {
      ...this.data.queryParams,
      assoPersonProductId:this.data.id
    }
    wx.showLoading({
      title: '加载中',
    })
    api.selectCollectPatent(params).then(res=>{
      if(res.code == 200){
        var len1 = this.data.tableData.length
        var len = len1>0?len1: 0
        
        this.setData(
          {
            tableData:this.data.tableData.concat(res.data.data),
            total:res.data.total,
          }
        )
        for(let i = 0;i<res.data.data.length;i++){
          this.getPictureByNo(res.data.data[i],len)
          len += 1 
        }
        // res.data.data(item=>{
        //   this.getPictureByNo(item,len)
        //   len += 1 
        // })
      }
    }).catch(error=>{
    })
  },
  //根据专利号获取相关图片
  getPictureByNo(data,index){
    var params = {
      appNo:data.appNo
    }
    api.getPictureByNo(params).then(res=>{
      if(res.code == 200){
        this.setData(
          {
            ["tableData["+index+"].imageList"]:res.data
          }
        )
      }
    })
  },
  //查看专利详情
  checkPatentDetail(e){
    var {patentno} = e.currentTarget.dataset
    wx.navigateTo({
      url: '/pages/patentDetails/patentDetails?patentNo='+patentno,
    })
  },
  //加载更多
  loadMore(){
    var current = this.data.queryParams.current
    this.setData(
      {
        ['queryParams.current']:current+1
      }
    )
    this.selectCollectPatent()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})